SDL_kmsdrmsym.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | SDL_KMSDRM_MODULE(modname)
#define | SDL_KMSDRM_SYM(rc, fn, params)
#define | SDL_KMSDRM_SYM_CONST(type, name)

## Functions

| SDL_KMSDRM_SYM (int, drmModeAddFB,(int fd, uint32_t width, uint32_t height, uint8_t depth, uint8_t bpp, uint32_t pitch, uint32_t bo_handle, uint32_t *buf_id)) SDL_KMSDRM_SYM(int
int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode | SDL_KMSDRM_SYM (int, drmModeSetCursor,(int fd, uint32_t crtcId, uint32_t bo_handle, uint32_t width, uint32_t height)) SDL_KMSDRM_SYM(int
int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y | SDL_KMSDRM_SYM (int, drmModePageFlip,(int fd, uint32_t crtc_id, uint32_t fb_id, uint32_t flags, void *user_data)) SDL_KMSDRM_SYM(int
int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y struct gbm_device uint32_t uint32_t usage | SDL_KMSDRM_SYM (void, gbm_bo_set_user_data,(struct gbm_bo *bo, void *data, void(*destroy_user_data)(struct gbm_bo *, void *))) SDL_KMSDRM_SYM(struct gbm_bo *

## Variables

| drmModeSetCrtc
int | fd
int uint32_t | crtcId
int uint32_t uint32_t | bufferId
int uint32_t uint32_t uint32_t | x
int uint32_t uint32_t uint32_t uint32_t | y
int uint32_t uint32_t uint32_t uint32_t uint32_t * | connectors
int uint32_t uint32_t uint32_t uint32_t uint32_t int | count
int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode | drmModeSetCursor2
int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t | bo_handle
int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t | width
int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t | height
int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t | hot_x
int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y | gbm_device_is_format_supported
int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y struct gbm_device * | gbm
int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y struct gbm_device uint32_t | format
int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y struct gbm_device uint32_t uint32_t usage | gbm_bo_create

## Macro Definition Documentation

## SDL_KMSDRM_MODULE

#define SDL_KMSDRM_MODULE | ( |  | modname | ) |

Definition at line 25 of file SDL_kmsdrmsym.h.

## SDL_KMSDRM_SYM

#define SDL_KMSDRM_SYM | ( |  | rc,
|  |  | fn,
|  |  | params
| ) |  |

Definition at line 29 of file SDL_kmsdrmsym.h.

## SDL_KMSDRM_SYM_CONST

#define SDL_KMSDRM_SYM_CONST | ( |  | type,
|  |  | name
| ) |  |

Definition at line 33 of file SDL_kmsdrmsym.h.

## Function Documentation

## SDL_KMSDRM_SYM() [1/4]

SDL_KMSDRM_SYM | ( | int | ,
|  | drmModeAddFB | ,
|  | (int fd, uint32_t width, uint32_t height, uint8_t depth, uint8_t bpp, uint32_t pitch, uint32_t bo_handle, uint32_t *buf_id) |
| ) |  |

## SDL_KMSDRM_SYM() [2/4]

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode SDL_KMSDRM_SYM | ( | int | ,
|  | drmModeSetCursor | ,
|  | (int fd, uint32_t crtcId, uint32_t bo_handle, uint32_t width, uint32_t height) |
| ) |  |

## SDL_KMSDRM_SYM() [3/4]

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y SDL_KMSDRM_SYM | ( | int | ,
|  | drmModePageFlip | ,
|  | (int fd, uint32_t crtc_id, uint32_t fb_id, uint32_t flags, void *user_data) |
| ) |  |

## SDL_KMSDRM_SYM() [4/4]

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y struct gbm_device uint32_t uint32_t usage SDL_KMSDRM_SYM | ( | void | ,
|  | gbm_bo_set_user_data | ,
|  | (struct gbm_bo *bo, void *data, void(*destroy_user_data)(struct gbm_bo *, void *)) |
| ) |  |

## Variable Documentation

## bo_handle

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t bo_handle

Definition at line 55 of file SDL_kmsdrmsym.h.

## bufferId

int uint32_t uint32_t bufferId

Definition at line 50 of file SDL_kmsdrmsym.h.

## connectors

int uint32_t uint32_t uint32_t uint32_t uint32_t* connectors

Definition at line 50 of file SDL_kmsdrmsym.h.

## count

int uint32_t uint32_t uint32_t uint32_t uint32_t int count

Definition at line 50 of file SDL_kmsdrmsym.h.

## crtcId

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t crtcId

Definition at line 50 of file SDL_kmsdrmsym.h.

## drmModeSetCrtc

drmModeSetCrtc

Definition at line 50 of file SDL_kmsdrmsym.h.

## drmModeSetCursor2

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode drmModeSetCursor2

Definition at line 55 of file SDL_kmsdrmsym.h.

## fd

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int fd

Definition at line 50 of file SDL_kmsdrmsym.h.

## format

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y struct gbm_device uint32_t uint32_t usage struct gbm_device uint32_t uint32_t uint32_t format

Definition at line 68 of file SDL_kmsdrmsym.h.

## gbm

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y struct gbm_device uint32_t uint32_t usage struct gbm_device * gbm

Definition at line 68 of file SDL_kmsdrmsym.h.

## gbm_bo_create

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y struct gbm_device uint32_t uint32_t usage gbm_bo_create

Definition at line 82 of file SDL_kmsdrmsym.h.

## gbm_device_is_format_supported

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y gbm_device_is_format_supported

Definition at line 68 of file SDL_kmsdrmsym.h.

## height

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y struct gbm_device uint32_t uint32_t usage struct gbm_device uint32_t uint32_t height

Definition at line 55 of file SDL_kmsdrmsym.h.

## hot_x

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t hot_x

Definition at line 55 of file SDL_kmsdrmsym.h.

Referenced by init_system_cursor().

## width

int uint32_t uint32_t uint32_t uint32_t uint32_t int drmModeModeInfoPtr mode int uint32_t uint32_t uint32_t uint32_t int32_t int32_t hot_y struct gbm_device uint32_t uint32_t usage struct gbm_device uint32_t width

Definition at line 55 of file SDL_kmsdrmsym.h.

## x

int uint32_t uint32_t uint32_t x

Definition at line 50 of file SDL_kmsdrmsym.h.

## y

int uint32_t uint32_t uint32_t uint32_t y

Definition at line 50 of file SDL_kmsdrmsym.h.